var weekDays = new Array("Sunday", "Monday", "Tuesday", "Wednesday","Thursday", "Friday", "Saturday");
var monthArray = new Array("January","February","March","April","May","June","July","August","September","October","November","December");
var timeInterval = 0;

var MINI_VIEW_TRESHOLD = 150;

window.onload = appInit;
window.onresize = onResize;
window.onshow = onResize;

var serviceObj = null;
var isCharge = 0;
var batteryLevel = 0;
var signalStrength = 0;
var signalLevel = 0;


function appInit(){
	if (widget.isrotationsupported){
        widget.setDisplayPortrait();
	}
	init();
	onResize();
}
//õ
function init() {
    // Obtain the SystemInfo service object
    try {
        serviceObj = device.getServiceObject("Service.SysInfo", "ISysInfo");
    } catch (ex) {
        alert("Service object cannot be found.");
        return;
    }
    
    getBatteryStrength();
	getSignalLevel();
    getChargingStatus();
}
 
function getBatteryStrength() {
    // Initialize the criteria for the service object and obtain the
    // information
    var criteria = new Object();
    criteria.Entity = "Battery";
    criteria.Key = "BatteryStrength";
    try {
        var result = serviceObj.ISysInfo.GetInfo(criteria,
            displayBatteryStrength);
    } catch (ex) {
        alert(ex);
        return;
    }
}
 
function displayBatteryStrength(transId, eventCode, result) {
    // On error situation, display the error message
    if (eventCode == 4) {
        alert("Error " + result.ErrorCode + ": " + result.ErrorMessage);
        return;
    }
    batteryLevel = result.ReturnValue.Status;
}
 
function getChargingStatus() {
    // Initialize the criteria for the service object and obtain the
    // information
    var criteria = new Object();
    criteria.Entity = "Battery";
    criteria.Key = "ChargingStatus";
    try {
        // Only synchronous version of the GetInfo function can be used here
        var result = serviceObj.ISysInfo.GetInfo(criteria);
		isCharge = result.ReturnValue.Status;
    } catch (ex) {
        alert(ex);
        return;
    }
}

function getSignalLevel() {
    // Initialize the criteria for the service object and obtain the
    // information
    var criteria = new Object();
    criteria.Entity = "Network";
    criteria.Key = "SignalStrength";
    try {
        var result = serviceObj.ISysInfo.GetInfo(criteria,
            displaySignalLevel);
    } catch (ex) {
        alert(ex);
        return;
    }
}
 
function displaySignalLevel(transId, eventCode, result) {
    // On error situation, display the error message
    if (eventCode == 4) {
        alert("Error " + result.ErrorCode + ": " + result.ErrorMessage);
        return;
    }
    signalStrength = result.ReturnValue.Status;
	signalLevel = Math.floor((110-signalStrength)/7);
}

//homescreenȫת
function onResize(){
	window.clearInterval(timeInterval); 
	timeInterval = window.setInterval("displayTime()",1000); 
	var height = window.innerHeight;
	var width = window.innerWidth;
	if(height < 150 ){
		document.getElementById("mainView").style.display = "none";
		document.getElementById("miniView").style.display = "block";
		}else{
		document.getElementById("mainView").style.display = "block";
		document.getElementById("miniView").style.display = "none";	
	}
}

//ʾʱ
function displayTime() {
    // Get current date info
    var today = new Date();
    // Custom format
    var y = today.getFullYear();
    var m = today.getMonth();  // Starts from 0
    var d = today.getDate();
	var weekDay = today.getDay();
    var hh = today.getHours();
    var mm = today.getMinutes();
    var ss = today.getSeconds();
 
    // Add a zero in front of numbers < 10
    hh = padTime(hh);
    mm = padTime(mm);
    ss = padTime(ss);
				 
   document.getElementById("nowTime").innerHTML = hh + ":"+mm;
   document.getElementById("customTime").innerHTML = weekDays[weekDay] + ", "+monthArray[m]+" " + d;
   
   getBatteryStrength();
   getChargingStatus();
   getSignalLevel();
   
   signalShow();
   document.getElementById("whiteB").style.width = batteryLevel/100*22+"px";
   if(batteryLevel>80){
	   document.getElementById("battery").src = "Signs/battery1.png";
	   document.getElementById("batteryMini").src = "Signs/minBattery1.png";
   }else if(batteryLevel>60){
	   document.getElementById("battery").src = "Signs/battery2.png";
	   document.getElementById("batteryMini").src = "Signs/minBattery2.png";
   }else if(batteryLevel>40){
	   document.getElementById("battery").src = "Signs/battery3.png";
	   document.getElementById("batteryMini").src = "Signs/minBattery3.png";
   }else if(batteryLevel>20){
	   document.getElementById("battery").src = "Signs/battery4.png";
	   document.getElementById("batteryMini").src = "Signs/minBattery4.png";
   }else{
	   document.getElementById("battery").src = "Signs/battery5.png";
	   document.getElementById("batteryMini").src = "Signs/minBattery5.png";
   }
}

function signalShow(){
	switch(signalLevel){
		case 1:
		document.getElementById("signalState").src = "Signs/signalState1.png";
		break;
		case 2:
		document.getElementById("signalState").src = "Signs/signalState2.png";
		break;
		case 3:
		document.getElementById("signalState").src = "Signs/signalState3.png";
		break;
		case 4:
		document.getElementById("signalState").src = "Signs/signalState4.png";
		break;
		case 5:
		case 6:
		document.getElementById("signalState").src = "Signs/signalState5.png";
		break;
		default:
		document.getElementById("signalState").src = "Signs/signalState6.png";
	}
	switch(isCharge){
		case 1:
		document.getElementById("chargeMask").style.display = "block";
		break;
		case 0:
		document.getElementById("chargeMask").style.display = "none";
		break;
	}
}

function padTime(i) {
    if (i < 10) {
        i = "0" + i;
    }
    return i;
}
